Summary: A version of the MIT Athena widget set for X.
Summary(de): 3D-Version des MIT Athena-Widgetsatzes fuer X
Name: Xaw3d
Version: 1.5
Release: 5mdk
Group: System/Libraries
Source: ftp://ftp.x.org/contrib/widgets/Xaw3d/R6.3/Xaw3d-1.5.tar.bz2
Url: ftp://ftp.x.org/contrib/widgets/Xaw3d/
Patch: Xaw3d-1.1-shlib.patch.bz2
Patch1: Xaw3d-1.3-glibc.patch.bz2
Copyright: MIT
Prefix: /usr
Prereq: fileutils
BuildRoot: /var/tmp/Xaw3d-root

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.

%description -l de
Xaw3d ist eine verbesserte Version des MIT Athena-Widgetsatzes fr X.
Xaw3d gibt Programmen einen 3D-Look, ohne, da der Source verndert werden
mu.

Sie sollten Xaw3d installieren, wenn Sie Programme verwenden, die den Athena-
Widgetsatz benutzen.

%package devel
Summary: Header files and static libraries for development using Xaw3d.
Summary(de): Header und statische Libraries fuer Xaw3d-Entwicklung
Group: Development/C
Requires: Xaw3d

%description devel
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and static libraries for developing programs that take
full advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.

%description -l de devel
Xaw3d ist eine verbesserte Version des MIT Athena-Widgetsatzes fr X.
Xaw3d gibt Programmen einen 3D-Look, ohne, da der Source verndert werden
mu.
Xaw3d-devel enthlt die Header und statische Libraries zur Entwicklung von
Programmen, die Xaw3d benutzen.

Sie sollten Xaw3d-devel installieren, falls Sie Xaw3d-Anwendungen
entwickeln wollen. Sie brauchen auerdem das Xaw3d-Paket.

%prep
%setup -q -c
cd xc/lib/Xaw3d
%patch -p0
ln -s .. X11

%patch1 -p4

%build
cd xc/lib/Xaw3d
export PATH=/usr/X11R6/bin:$PATH
xmkmf
%ifarch alpha
# alpha was giving internal compiler errors...
make CDEBUGFLAGS=""
%else
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT
cd xc/lib/Xaw3d
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/include/X11

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
if [ ! -d /usr/X11R6/include/X11/Xaw3d ] ; then
	rm -f /usr/X11R6/include/X11/Xaw3d
	ln -sf ../Xaw3d /usr/X11R6/include/X11
fi

%triggerpostun -- Xaw3d-devel < 1.3-17
rm -rf /usr/X11R6/include/X11/Xaw3d
ln -sf ../Xaw3d /usr/X11R6/include/X11

%files
%defattr(-,root,root)
/usr/X11R6/lib/*.so.*

%files devel
%defattr(-,root,root)
/usr/X11R6/lib/*.a
/usr/X11R6/lib/*.so
/usr/X11R6/include/X11/Xaw3d

%changelog
* Mon Mar 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5-5mdk
- fix group.

* Sat Dec 18 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- adopted spec file to build on alpha (ifarch statement in build)
(pixel's rebuild)

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- build for new environment

* Sat Jul 17 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.5
- update download URL
- remove obsolete R6.3 patch

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS
- add de locale

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 21)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- added security/update patch from debian (the X11R6.3 patch). Thanks guys. :)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- handle the symlink with triggers instead of getting rid of it

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- remove backward compatible symlink.

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the bad symlink
- BuildRoot

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- don't lave an improper return code from %pre

* Mon Nov 03 1997 Cristian Gafton <gafton@redhat.com>
- take care of the old location of the Xaw3d includes in case that one exist
- updated Prereq: field

* Mon Oct 26 1997 Cristian Gafton <gafton@redhat.com
- fixed the -devel package for the right include files path

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- minor spec file cleanups

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- i18n widec.h patch needs to be applied on all systems

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- changed axp check to alpha

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc
